Status: Resolved Priority: Should have
Author: Karol Gusak Category: I18n
Created: 2010-11-23 Assigned To: Karsten Dambekalns
Updated: 2011-12-21 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Remove AbstractXmlModel and AbstractXmlParser from I18n package
Description

The AbstractXmlModel is a base class for XML models, but it's not very useful as it is only extended by CldrModel and XliffModel
which don't have much in common. So removing the abstract class will simplify the code. The same goes for AbstractXmlParser
class.

Associated revisions
Revision acc2f9f5 - 2011-12-06 13:02 - Karsten Dambekalns

[TASK] Remove AbstractXmlModel from I18n

Change-Id: I783dc39b62329d65b01c18f588848bee1c47503b
Resolves: #11034
Releases: 1.1

Revision 8de58fef - 2011-12-06 13:02 - Karsten Dambekalns

[TASK] Move AbstractXmlParser class up one level

Change-Id: I2064da8707df8d6963a567d77b427b0c56acc828
Related: #11034
Releases: 1.1

History
#1 - 2011-07-06 19:45 - Karsten Dambekalns
- Target version set to 1.1

#2 - 2011-11-23 14:42 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Karol Gusak to Karsten Dambekalns
- Has patch set to No

#3 - 2011-12-06 13:03 - Karsten Dambekalns

I'll keep the AbstractXmlParser.

#4 - 2011-12-06 16:57 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7087

#5 - 2011-12-20 16:18 - Karsten Dambekalns
- % Done changed from 0 to 100

#6 - 2011-12-20 16:19 - Karsten Dambekalns
- Status changed from Under Review to Resolved

#7 - 2011-12-21 12:37 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
